Librería

From Joomla! Documentation

This page is a translated version of the page Library and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎eesti • ‎français • ‎Nederlands

Una librería es un paquete de código que proporciona un conjunto de funciones relacionadas. Algunas librerías externas son incluidas y usadas por el Framework Joomla! o por Extensiones incluidas en una instalación predeterminada de Joomla!. Por favor vea a continuación una referencia de las librerías externas incluidas.

A partir de Joomla 1.6, las librerías externas pueden ser instaladas, actualizadas y borradas usando el instalador de extensiones. Esto hace a Joomla flexible para los desarrolladores de extensiones ya que también les permite incluir librerías para usarlas en sus componentes, módulos, plugins o plantillas.


Librerías externas incluidas

Una instalación de Joomla! contiene librerías externas que se incluyen con las versiones del CMS. Estas librerías externas no son parte del código del núcleo. Por favor lea la sección Notas, ya que puede contener más información, como el cambio en la versión de una librería externa con una versión de mantenimiento.

Librerías externas según la versión de Joomla

Versión del CMS Versión del CMS soportada Mootools Mootools More jQuery jQuery UI
(Core, Widget, Mouse, Position, and Sortable)
Bootstrap Simple Pie PHP Mailer PHP UTF-8 IDNA Convert Framework de Desarrollo Rápido de Extensiones (RAD)
Framework on Framework (FOF) de Akeeba
password _compat[1] lessphp random _compat[2]
3.9
Checkmark.png
1.4.5 1.4.0.1 1.12.4[3] 1.9.2 2.3.2[4] 1.3.1[5] 5.2.26 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.4.1
3.8
X-mark.png
1.4.5 1.4.0.1 1.12.4[3] 1.9.2 2.3.2[4] 1.3.1[5] 5.2.24[6] 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.4.1
3.7
X-mark.png
1.4.5 1.4.0.1 1.12.4[3] 1.9.2 2.3.2[4] 1.3.1[5] 5.2.22[7] 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.4.1
3.6
X-mark.png
1.4.5 1.4.0.1 1.12.4[3] 1.9.2 2.3.2[4] 1.3.1[5] 5.2.14[8] 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.4.1
3.5
X-mark.png
1.4.5 1.4.0.1 1.11.3[3] 1.9.2 2.3.2[4] 1.2[5] 5.2.14 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.0.10
3.4
X-mark.png
1.4.5 1.4.0.1 1.11.3[3] 1.9.2 2.3.2[4] 1.2[5] 5.2.9 0.5 0.8.0 2.4.3 1.0.4 0.3.9 N/A[9]
3.3
X-mark.png
1.4.5 1.4.0.1 1.11.1[3] 1.9.2 2.3.2[4] 1.2[5] 5.2.8 0.5 0.8.0 2.1 1.0.3 N/A[10] N/A[9]
3.2
X-mark.png
1.4.5 1.4.0.1 1.10.2[3] 1.9.2 2.3.2[4] 1.2[5] 5.2.6 0.5 0.8.0 2.1 1.0.3 N/A[10] N/A[9]
3.1.2
X-mark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 2.3.2[4] 1.2[5] 5.2.6 0.5 0.8.0 N/A[11] N/A[12] N/A[10] N/A[9]
3.1
X-mark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 2.1.0 1.2[5] 5.2.3 0.5 N/A[13] N/A[11] N/A[12] N/A[10] N/A[9]
3.0
X-mark.png
1.4.5 1.4.0.1 1.8.1 1.8.23 2.1.0 1.2 5.2.1 0.5 N/A[13] N/A[11] N/A[12] N/A[10] N/A[9]
2.5
X-mark.png
1.4.5[14] 1.4.0.1 N/A[15] N/A[15] N/A[15] 1.2 5.2.1 0.5 N/A[13] N/A[11] N/A[12] N/A[10] N/A[9]


Referencias

  1. Esta biblioteca está destinada a proporcionar compatibilidad hacia adelante con las funciones password_* que se han añadido a PHP 5.5. Ver git de password_compat para más información.
  2. Esta librería está destinad a proporcionar compatibilidad hacia delante con las funciones random_bytes y random_int que fueron añadidas a PHP 7.0. Ver random_compat git para más información.
  3. 3.0 3.1 3.2 3.3 3.4 3.5 3.6 3.7 Incluye el plugin jQuery Migrate 1.2.1 para compatibilidad hacia atrás
  4. 4.0 4.1 4.2 4.3 4.4 4.5 4.6 4.7 4.8 Contiene algunos valores predeterminados de compatibilidad hacia atrás con la versión 2.1
  5. 5.0 5.1 5.2 5.3 5.4 5.5 5.6 5.7 5.8 5.9 Esta librería está obsoleta y fue sustituida por JFeedFactory en la versión 3.1.0 del CMS Joomla!
  6. 5.2.26 as of 3.8.3
  7. 5.2.23 as of 3.7.3
  8. 5.2.16 as of 3.6.3
  9. 9.0 9.1 9.2 9.3 9.4 9.5 9.6 No aplicable, esta biblioteca no estaba incluida en el CMS Joomla! en versiones anteriores a la 3.5
  10. 10.0 10.1 10.2 10.3 10.4 10.5 No aplicable, esta biblioteca no estaba incluida en el CMS Joomla! en versiones anteriores a la 3.4
  11. 11.0 11.1 11.2 11.3 No aplicable, esta biblioteca no estaba incluida en el CMS Joomla! en versiones anteriores a la 3.2. Sin embargo, la versión de FOF incluida en Joomla 3.2 es compatible con Joomla 2.5.
  12. 12.0 12.1 12.2 12.3 No aplicable, esta biblioteca no estaba incluida en el CMS Joomla! en versiones anteriores a la 3.2.
  13. 13.0 13.1 13.2 No aplicable, esta biblioteca no estaba incluida en el CMS Joomla! en versiones anteriores a la 3.1.2.
  14. Contiene una capa de compatibilidad con 1.2
  15. 15.0 15.1 15.2 No aplicable, esta biblioteca no estaba incluida en la versión 2.5 del CMS Joomla!.